courier-base_1.0.6-1_i386.deb


Advertisement

Description

courier-base - Courier mail server - base system

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename courier-base_1.0.6-1_i386.deb
Package name courier-base
Package version 1.0.6
Package release 1
Package architecture i386
Package type deb
Category interface::daemon mail mail::transport-agent network::server role::program works-with::mail
Homepage http://www.courier-mta.org/
License -
Maintainer Markus Wanner <markus@bluegap.ch>
Download size 299.11 KB
Installed size 724.00 KB
The Courier mail transfer agent (MTA) is an integrated mail/groupware
server based on open commodity protocols, such as ESMTP, IMAP, POP3,
LDAP, TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
mailing list services within a single, consistent, framework.
This package provides the functionality needed by all courier
packages such as some configuration files, helper programs and the
Courier TCP server daemon.
Courier uses the a TLS wrapper application named couriertls
instead of embedding TLS support in the different applications.
Additionally, this package contains a default set of trusted X.509
root CA certs.

Alternatives

Package Version Architecture Repository
courier-base_1.0.6-1_amd64.deb 1.0.6 amd64 Debian Main
courier-base - - -

Requires

Name Value
adduser -
courier-authdaemon -
courier-authlib >= 0.66.1
courier-authlib-userdb -
debconf >= 0.5
debconf-2.0 -
gnutls-bin -
libc6 >= 2.28
libcourier-unicode4 >= 1.4
libfam0 -
libgdbm6 >= 1.16
libgnutls30 >= 3.6.6
libidn11 >= 1.13
libpcre3 -
lsb-base -
perl:any -
sysvinit-utils >= 2.88dsf-50

Replaces

Name Value
courier-ssl << 0.75.0-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package courier-base_1.0.6-1_i386.deb
Source Package courier

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install courier-base deb package:
    # sudo apt-get install courier-base

Files

Path
/usr/bin/courier-config
/usr/bin/couriertls
/usr/bin/deliverquota.courier
/usr/bin/maildiracl
/usr/bin/maildirkw
/usr/bin/maildirmake.courier
/usr/bin/makedat.courier
/usr/bin/testmxlookup
/usr/lib/courier/init-d-script-courier
/usr/lib/courier/install-perms-list.dat
/usr/lib/courier/makedat
/usr/lib/courier/makeimapaccess
/usr/lib/courier/mkcouriercert
/usr/lib/courier/mkdhparams
/usr/lib/courier/perlfilter-ratelimit.pl
/usr/lib/courier/courier/makedatprog
/usr/sbin/couriertcpd
/usr/sbin/makeimapaccess
/usr/sbin/mkdhparams
/usr/sbin/sharedindexinstall
/usr/sbin/sharedindexsplit
/usr/share/doc/courier-base/NEWS.Debian.gz
/usr/share/doc/courier-base/README.Debian
/usr/share/doc/courier-base/README.maildirquota.txt.gz
/usr/share/doc/courier-base/README.sharedfolders.txt.gz
/usr/share/doc/courier-base/changelog.Debian.gz
/usr/share/doc/courier-base/changelog.gz
/usr/share/doc/courier-base/copyright
/usr/share/doc/courier-base/examples/quotawarnmsg.example
/usr/share/man/man1/courier-config.1.gz
/usr/share/man/man1/couriertcpd.1.gz
/usr/share/man/man1/couriertls.1.gz
/usr/share/man/man1/maildiracl.1.gz
/usr/share/man/man1/maildirkw.1.gz
/usr/share/man/man1/maildirmake.courier.1.gz
/usr/share/man/man1/makedat.courier.1.gz
/usr/share/man/man1/testmxlookup.1.gz
/usr/share/man/man5/maildir.courier.5.gz
/usr/share/man/man7/maildirquota.courier.7.gz
/usr/share/man/man8/deliverquota.courier.8.gz
/usr/share/man/man8/makeimapaccess.8.gz
/usr/share/man/man8/mkdhparams.8.gz
/usr/share/man/man8/sharedindexinstall.8.gz
/usr/share/man/man8/sharedindexsplit.8.gz

Changelog

2019-02-05 - Markus Wanner <markus@bluegap.ch>
courier (1.0.6-1) unstable; urgency=medium
[ Helge Kreutzmann ]
* Updated debian/copyright
* Updated Spanish po-debconf translation.
* Updated Basque po-debconf translation.
* Updated Czech po-debconf translation. Closes: #921065.
* Add Chinese po-debconf translations. Closes: #921071.
* Update Dutch po-debconf translation. Closes: #921091.
* Update Portuguese po-debconf translation. Closes: #921135.
[ Markus Wanner ]
* New upstream version 1.0.6.
[ Holger Wansing ]
* Updated German po-debconf translation. Closes: #921225.
* Updated French po-debconf translation.
2019-01-27 - Markus Wanner <markus@bluegap.ch>
courier (1.0.5-2) unstable; urgency=medium
[ Alban Vidal ]
* Updated French po-debconf translation. Closes: #863941.
[ Viktor Sz├ępe ]
* Fix lintian "script-not-executable".
[ Markus Wanner ]
* Add an apache_unlink step to the postrm of sqwebmail.
Closes: #919840.
* Move the statoverrides for /etc/courier/imapaccess from
courier-base to courier-imap.
* Remove the statoverrides for /var/lib/courier/{tmp,msgq,msgs}
from courier-base, courier-mta properly covers these.
* Add patch 0025-Move-sqwebmail.sock.patch to move the sqwebmail
socket file to /var/run/courier.  Closes: #893830.
* Update German and Russion po-debconf translations.
Closes: #885186, #883647.
2019-01-14 - Markus Wanner <markus@bluegap.ch>
courier (1.0.5-1) unstable; urgency=medium
[ Markus Wanner ]
* New upstream release 1.0.5.
* Update and correct debian/copyright, use https links.
* Refresh patches 0002, 0010, 0012, 0015, 0016, 0019, 0022, 0023,
and 0024.
* Extend patch 0018-Fix-default-configuration-for-Debian.patch with
the piddir addition proposed by Willi Mann. Closes: #875696.
* d/control: tighten dependency on courier-unicode, eliminate obsolete
build dependencies dh-autoreconf, autotools-dev and dh-systemd.
* Bump debian/compat to 11.
* Bump S-V to 4.2.1.
* d/rules: drop `--with autotools-dev` and `--with systemd`, use
dh_installsystemd, instead.
* Drop patch 0025-Use-SOURCE_DATE_EPOCH.., it got applied upstream.
* Drop lintian overrides: possible-gpl-code-linked-with-openssl is
no longer required, since courier is built against gnutls.  And
package-contains-empty-directory does not apply anymore.
* Add Vcs-Git and Vcs-Browser links to the new salsa project.
* Update d/watch to version 4, use https.
* courier-mta: include binary courierfilter. Closes: #881696.
* courier-mta.NEWS: correct tab to spaces.
* courier-webadmin: Add dependency on libcgi-pm-perl. Closes: #910525.
* courier-webadmin: Correct ownership and permissions on
/etc/courier/webadmin/password (mode 0600, courier owned).
* sqwebmail: provide a default apache24 configuration and enable it
from the postinst script, if possible.
* sqwebmail.postinst: eliminate trailing slash passed on to
dpkg-statoverride.
* sqwebmail/install-www: change table to use split choices.
* Remove the transitional packages, these were delivered with
stretch, already.
[ Dimitri John Ledkov ]
* Disable gnutls OPENPGP certificates. Closes: #879530.
2017-09-13 - Markus Wanner <markus@bluegap.ch>
courier (0.78.0-2) unstable; urgency=medium
* Fix an FTBFS by adding a B-D on libgcrypt-dev. Closes: #875659.

See Also

Package Description
courier-doc_1.0.6-1_all.deb Courier mail server - additional documentation
courier-faxmail_1.0.6-1_i386.deb Courier mail server - Fax<->mail gateway
courier-filter-perl_0.200+ds-4_all.deb purely Perl-based mail filter framework for the Courier MTA
courier-imap_5.0.6+1.0.6-1_i386.deb Courier mail server - IMAP server
courier-ldap_1.0.6-1_i386.deb Courier mail server - LDAP support
courier-mlm_1.0.6-1_i386.deb Courier mail server - mailing list manager
courier-mta_1.0.6-1_i386.deb Courier mail server - ESMTP daemon
courier-pcp_1.0.6-1_i386.deb Courier mail server - PCP server
courier-pop_1.0.6-1_i386.deb Courier mail server - POP3 server
courier-webadmin_1.0.6-1_i386.deb Courier mail server - web-based administration frontend
couriergraph_0.25-4.4_all.deb Mail statistics RRDtool frontend for Courier-{POP,IMAP}
couriergrey_0.3.2-5+b4_i386.deb Mail filter interface of Courier-MTA to support greylisting
covered-doc_0.7.10-3_all.deb Verilog code coverage analysis tool - documentation
covered_0.7.10-3+b1_i386.deb Verilog code coverage analysis tool
cowbell_0.2.7.1-7+b1_i386.deb An easy-to-use tag editor for your music files
Advertisement
Advertisement